# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(Date/Simple.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name HTML-Calendar-Simple
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: A simple html calendar
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/ST/STRYTOAST/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is a simple module which will make an HTML representation of a 
given month. You can add links to individual days, or in fact, any 
sort of information you want.

Yes, the inspiration for this came out of me looking at 
HTML::CalendarMonthSimple, and thinking 'Hmmm. A bit too complicated
for what I want. I know, I will write a simplified version.' So I did. 


%prep
%setup -n %module_name-%module_version
# move modules to lib
mkdir lib
mv H*/ lib/
sed -i -e 's,^\(H.*/\),lib/\1,' MANIFEST
ln -s lib/* .

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/H*

%changelog
* Thu Oct 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

